stages:
#  - test
  - build

variables:
  POSTGRES_USER: postgres13
  POSTGRES_PASSWORD: postgres13
  POSTGRES_DB: dev-school

.cache:
  key: "devschool-backend-cache"
  paths:
    - .gradle/

.gradle: &image-alpine-backend
  image: openjdk:8-alpine
  before_script:
    - export GRADLE_USER_HOME=`pwd`/.gradle
    - chmod +x ./gradlew

build:
  <<: *image-alpine-backend
  stage: build
  variables:
    DATASOURCE_URL: jdbc:postgresql://postgres:5432/$POSTGRES_DB
    DATASOURCE_USERNAME: $POSTGRES_USER
    DATASOURCE_PASSWORD: $POSTGRES_PASSWORD
  script:
    - ./gradlew jib